Subject: Re: [PATCH 2/2] reflog: ignore expire-unreachable for "HEAD" reflog

From: Johannes Sixt <[email-masked]>
Date: Thu, 15 Apr 2010 10:49:19 +0200

Am 4/15/2010 9:40, schrieb Junio C Hamano:
> Johannes Sixt <[email-masked]> writes:
> 
>> Does not help what? What is the problem?
> 
> You will lose the record from HEAD reflog that records the fact that you
> were at the tip of "next" less than "reflogexpire" but more than
> "reflogexpireunreachable" time ago, if you run "gc" while on "master".
> 
> Such a pruning does not have much to do with the real reason why
> expireunreachable would be a useful thing (namely, to prune failed
> histories that have been rewound away faster than the history that
> survived from reflog of individual branches).

But what is the benefit?

We expire reflogs so that we can garbage-collect objects. If
expire-unreachable is ignored for HEAD, then the objects of failed
experiments survive due to HEAD's reflog until reflog.expire is reached.
If this is what you want, why do we have expire-unreachable at all?

-- Hannes